Index: c/TESTED
===================================================================
--- c/TESTED	(revision df8d1440d10dfa8b4a239afb1562c43dde588e98)
+++ c/TESTED	(revision 729c8f2e9d3097d5192f0a2d05ba2cccfdcbaac8)
@@ -3,54 +3,49 @@
 #
 
-The RTEMS Project does not have all of the development computers or
-target boards included in the RTEMS distribution.  Many of the BSPs
-are user supplied and we try to insure that they compile before each
-full release.  This file describes the range of configurations the 
-RTEMS project can internally test.
+This file is current as of the 3.5.17 snapshot.
 
-Host Development Systems
-========================
+The RTEMS project uses SparcStations running the Solaris 2.3 operating
+system internally for development.  This release has been tested on the
+following Languages/CPUs/Targets using Solaris 2.3/SPARC as the host
+environment:
 
-All RTEMS development is done on a Sun SPARCStation running Solaris 2.3 and
-all other host systems are not tested internally.
+            CPU     CPU
+  LANGUAGE FAMILY  MODEL         TARGET             SUITES
+  ======== ====== ========= =================== ===============
+     C      m68k   m68000    efi68k                 (note 1)
+     C      m68k   m68020    Motorola MVME136      ALL TESTS
+     C      m68k   m68020    Motorola MVME147       (note 1)
+     C      m68k  m68lc040   Motorola MVME162       (note 1)
+     C      m68k  m68ec040   Motorola IDP           (note 1)
+     C      m68k   m68020    DY-4 DMV152            (note 1)
+     C      m68k   m68302    generic 68302          (note 1)
+     C      m68k   m68332    efi332                 (note 1)
+     C      m68k   m68302    generic 68360          (note 1)
+     C      i386  i386_fp    Force CPU-386         ALL TESTS
+     C      i386   i486      DJGPP/PC-AT           ALL TESTS
+     C      i386  pentium    DJGPP/PC-AT           ALL TESTS
+     C      i960  i960ca     Cyclone CVME961        (note 4)
+     C      hppa  hppa7100   simhppa                (note 1)
+     C      ppc    403       Papyrus                (note 1)
+     C      UNIX     NA      Solaris 2 (SPARC)     ALL TESTS (inlines)
+     C      UNIX     NA      Solaris 2 (SPARC)     ALL TESTS (macros)
+     C      UNIX     NA      Linux (i386)          NOT TESTED
+     C      UNIX     NA      HPUX (PA-RISC)         (note 2)
+     C     no_cpu    NA      no_bsp                 (note 3)
 
-Target Systems
-==============
+NOTES:
 
-The following table describes the testability of each BSP by the RTEMS project:
+"NOT TESTED" indicates that this was not tested in the testing cycle
+immediately preceding the snapshot.
 
-    CPU     CPU
-   FAMILY  MODEL         TARGET              STATUS
-   ====== ========= =================== =================
-    m68k   m68000    efi68k                 (note 1)
-    m68k   m68020    Motorola MVME136   TESTED INTERNALLY
-    m68k  m68lc040   Motorola MVME162       (note 1)
-    m68k  m68ec040   Motorola IDP           (note 1)
-    m68k   m68020    DY-4 DMV152            (note 1)
-    m68k   m68302    generic 68302          (note 1)
-    m68k   m68332    efi332                 (note 1)
-    i386  i386_fp    Force CPU-386      TESTED INTERNALLY
-    i386   i486      DJGPP/PC-AT        TESTED INTERNALLY
-    i386  pentium    DJGPP/PC-AT        TESTED INTERNALLY
-    i960  i960ca     Cyclone CVME961        (note 4)
-    hppa  hppa7100   simhppa                (note 2)
-    ppc    403       Papyrus                (note 2)
-    UNIX     NA      Solaris 2 (SPARC)  TESTED INTERNALLY (inlines)
-    UNIX     NA      Solaris 2 (SPARC)  TESTED INTERNALLY (macros)
-    UNIX     NA      Linux (i386)           (note 5)
-    UNIX     NA      HPUX (PA-RISC)         (note 2)
-   no_cpu    NA      no_bsp                 (note 3)
-
- 
 (1) Target board is not owned by RTEMS Project.  The target is known
     to compile and link with all appropriate tests successfully.
     If the target does not support multiprocessor configurations, then
     "ALL TESTS" does not include the multiprocessor tests.
- 
+
 (2) RTEMS Project cannot internally compile or test this target.
- 
+
 (3) Target is not intended to be executed.  It is only an example.
- 
-(4) The RTEMS Project owns this board but it is broken at the moment.
 
-(5) The RTEMS Project owns a Linux host but does not regularly test this BSP.
+(4) The board owned by the RTEMS Project is broken.  The BSP is known
+    to compile and link with all appropriate tests successfully.
Index: c/src/lib/libbsp/i386/force386/times
===================================================================
--- c/src/lib/libbsp/i386/force386/times	(revision df8d1440d10dfa8b4a239afb1562c43dde588e98)
+++ c/src/lib/libbsp/i386/force386/times	(revision 729c8f2e9d3097d5192f0a2d05ba2cccfdcbaac8)
@@ -14,178 +14,178 @@
 Timer Source:         count-down timer provided by a Motorola MC68901
 
-Column A:             3.5.1 pre-release
-Column B:             3.5.1
+Column A:             3.5.1
+Column B:             3.5.17 - pre-release
 
 #                          DESCRIPTION                                 A    B
 == =================================================================  ==== ====
- 1 rtems_semaphore_create                                               73   72
-   rtems_semaphore_delete                                               69   70
-   rtems_semaphore_obtain: available                                    50
-   rtems_semaphore_obtain: not available -- NO_WAIT                     50
-   rtems_semaphore_release: no waiting tasks                            55
+ 1 rtems_semaphore_create                                               73   64
+   rtems_semaphore_delete                                               69   60
+   rtems_semaphore_obtain: available                                    50   41
+   rtems_semaphore_obtain: not available -- NO_WAIT                     50   40
+   rtems_semaphore_release: no waiting tasks                            55   47
 
- 2 rtems_semaphore_obtain: not available -- caller blocks              126  127
+ 2 rtems_semaphore_obtain: not available -- caller blocks              126  123
 
- 3 rtems_semaphore_release: task readied -- preempts caller            104  103
+ 3 rtems_semaphore_release: task readied -- preempts caller            104   95
 
- 4 rtems_task_restart: blocked task -- preempts caller                 164  165
-   rtems_task_restart: ready task -- preempts caller                   158
-   rtems_semaphore_release: task readied -- returns to caller           79
-   rtems_task_create                                                   164  167
-   rtems_task_start                                                     93
-   rtems_task_restart: suspended task -- returns to caller             109
-   rtems_task_delete: suspended task                                   154  156
-   rtems_task_restart: ready task -- returns to caller                 111
-   rtems_task_restart: blocked task -- returns to caller               144  145
-   rtems_task_delete: blocked task                                     162  163
+ 4 rtems_task_restart: blocked task -- preempts caller                 164  162
+   rtems_task_restart: ready task -- preempts caller                   158  156
+   rtems_semaphore_release: task readied -- returns to caller           79   70
+   rtems_task_create                                                   164  157
+   rtems_task_start                                                     93   86
+   rtems_task_restart: suspended task -- returns to caller             109  103
+   rtems_task_delete: suspended task                                   154  147
+   rtems_task_restart: ready task -- returns to caller                 111  105
+   rtems_task_restart: blocked task -- returns to caller               144  138
+   rtems_task_delete: blocked task                                     162  153
 
- 5 rtems_task_suspend: calling task                                     87
-   rtems_task_resume: task readied -- preempts caller                   79
+ 5 rtems_task_suspend: calling task                                     87   81
+   rtems_task_resume: task readied -- preempts caller                   79   71
 
- 6 rtems_task_restart: calling task                                    121
-   rtems_task_suspend: returns to caller                                54
-   rtems_task_resume: task readied -- returns to caller                 54
-   rtems_task_delete: ready task                                       164
+ 6 rtems_task_restart: calling task                                    121  118
+   rtems_task_suspend: returns to caller                                54   45
+   rtems_task_resume: task readied -- returns to caller                 54   46
+   rtems_task_delete: ready task                                       164  157
 
- 7 rtems_task_restart: suspended task -- preempts caller               151  152
+ 7 rtems_task_restart: suspended task -- preempts caller               151  149
 
- 8 rtems_task_set_priority: obtain current priority                     40
-   rtems_task_set_priority: returns to caller                           75
-   rtems_task_mode: obtain current mode                                 20 
-   rtems_task_mode: no reschedule                                       22
-   rtems_task_mode: reschedule -- returns to caller                     27
-   rtems_task_mode: reschedule -- preempts caller                       74
-   rtems_task_set_note                                                  41
-   rtems_task_get_note                                                  42
-   rtems_clock_set                                                      95
-   rtems_clock_get                                                      88
+ 8 rtems_task_set_priority: obtain current priority                     40   30
+   rtems_task_set_priority: returns to caller                           75   67
+   rtems_task_mode: obtain current mode                                 20   19
+   rtems_task_mode: no reschedule                                       22   21
+   rtems_task_mode: reschedule -- returns to caller                     27   27
+   rtems_task_mode: reschedule -- preempts caller                       74   66
+   rtems_task_set_note                                                  41   32
+   rtems_task_get_note                                                  42   32
+   rtems_clock_set                                                      95   85
+   rtems_clock_get                                                       2    2
 
- 9 rtems_message_queue_create                                          304  303
-   rtems_message_queue_send: no waiting tasks                          124
-   rtems_message_queue_urgent: no waiting tasks                        123  124
-   rtems_message_queue_receive: available                              101  102
-   rtems_message_queue_flush: no messages flushed                       38
-   rtems_message_queue_flush: messages flushed                          50   49
-   rtems_message_queue_delete                                           88   89
+ 9 rtems_message_queue_create                                          304  294
+   rtems_message_queue_send: no waiting tasks                          124  117
+   rtems_message_queue_urgent: no waiting tasks                        123  117
+   rtems_message_queue_receive: available                              101   93
+   rtems_message_queue_flush: no messages flushed                       38   29
+   rtems_message_queue_flush: messages flushed                          50   41
+   rtems_message_queue_delete                                           88   81
 
-10 rtems_message_queue_receive: not available -- NO_WAIT                54
-   rtems_message_queue_receive: not available -- caller blocks         131
+10 rtems_message_queue_receive: not available -- NO_WAIT                54   45
+   rtems_message_queue_receive: not available -- caller blocks         131  127
 
-11 rtems_message_queue_send: task readied -- preempts caller           152
+11 rtems_message_queue_send: task readied -- preempts caller           152  144
 
-12 rtems_message_queue_send: task readied -- returns to caller         126  127
+12 rtems_message_queue_send: task readied -- returns to caller         126  118
 
-13 rtems_message_queue_urgent: task readied -- preempts caller         152  151
+13 rtems_message_queue_urgent: task readied -- preempts caller         152  144
 
-14 rtems_message_queue_urgent: task readied -- returns to caller       126
+14 rtems_message_queue_urgent: task readied -- returns to caller       126  116
 
-15 rtems_event_receive: obtain current events                            0
-   rtems_event_receive: not available -- NO_WAIT                        37
-   rtems_event_receive: not available -- caller blocks                 102  101
-   rtems_event_send: no task readied                                    37
-   rtems_event_receive: available                                       39   40
-   rtems_event_send: task readied -- returns to caller                  68   69
+15 rtems_event_receive: obtain current events                            0   <1
+   rtems_event_receive: not available -- NO_WAIT                        37   25
+   rtems_event_receive: not available -- caller blocks                 102   94
+   rtems_event_send: no task readied                                    37   26
+   rtems_event_receive: available                                       39   27
+   rtems_event_send: task readied -- returns to caller                  68   60
 
-16 rtems_event_send: task readied -- preempts caller                    96   97
+16 rtems_event_send: task readied -- preempts caller                    96   89
 
-17 rtems_task_set_priority: preempts caller                            119  118
+17 rtems_task_set_priority: preempts caller                            119  115
 
-18 rtems_task_delete: calling task                                     192
+18 rtems_task_delete: calling task                                     192  187
 
-19 rtems_signal_catch                                                   23
-   rtems_signal_send: returns to caller                                 43
-   rtems_signal_send: signal to self                                    57
-   exit ASR overhead: returns to calling task                           39
-   exit ASR overhead: returns to preempting task                        70
+19 rtems_signal_catch                                                   23   13
+   rtems_signal_send: returns to caller                                 43   34
+   rtems_signal_send: signal to self                                    57   59
+   exit ASR overhead: returns to calling task                           39   39
+   exit ASR overhead: returns to preempting task                        70   60
 
-20 rtems_partition_create                                               96   92
-   rtems_region_create                                                  78   77
-   rtems_partition_get_buffer: available                                42
-   rtems_partition_get_buffer: not available                            42
-   rtems_partition_return_buffer                                        49
-   rtems_partition_delete                                               50
-   rtems_region_get_segment: available                                  57   58
-   rtems_region_get_segment: not available -- NO_WAIT                   54
-   rtems_region_return_segment: no waiting tasks                        62   61
-   rtems_region_get_segment: not available -- caller blocks            131  132
-   rtems_region_return_segment: task readied -- preempts caller        147  146
-   rtems_region_return_segment: task readied -- returns to caller      123  122
-   rtems_region_delete                                                  48
-   rtems_io_initialize                                                   4
-   rtems_io_open                                                         1
-   rtems_io_close                                                        1
-   rtems_io_read                                                         1
-   rtems_io_write                                                        1
-   rtems_io_control                                                      1
+20 rtems_partition_create                                               96   83
+   rtems_region_create                                                  78   68
+   rtems_partition_get_buffer: available                                42   34
+   rtems_partition_get_buffer: not available                            42   33
+   rtems_partition_return_buffer                                        49   40
+   rtems_partition_delete                                               50   49
+   rtems_region_get_segment: available                                  57   45
+   rtems_region_get_segment: not available -- NO_WAIT                   54   52
+   rtems_region_return_segment: no waiting tasks                        62   52
+   rtems_region_get_segment: not available -- caller blocks            131  127
+   rtems_region_return_segment: task readied -- preempts caller        147  138
+   rtems_region_return_segment: task readied -- returns to caller      123  113
+   rtems_region_delete                                                  48   39
+   rtems_io_initialize                                                   4    4
+   rtems_io_open                                                         1    1
+   rtems_io_close                                                        1    0
+   rtems_io_read                                                         1    1
+   rtems_io_write                                                        1    1
+   rtems_io_control                                                      1    1
 
-21 rtems_task_ident                                                    671
-   rtems_message_queue_ident                                           656
-   rtems_semaphore_ident                                               699
-   rtems_partition_ident                                               655
-   rtems_region_ident                                                  670
-   rtems_port_ident                                                    657
-   rtems_timer_ident                                                   658
-   rtems_rate_monotonic_ident                                          659
+21 rtems_task_ident                                                    671  748
+   rtems_message_queue_ident                                           656  730
+   rtems_semaphore_ident                                               699  787
+   rtems_partition_ident                                               655  730
+   rtems_region_ident                                                  670  739
+   rtems_port_ident                                                    657  728
+   rtems_timer_ident                                                   658  729
+   rtems_rate_monotonic_ident                                          659  729
 
-22 rtems_message_queue_broadcast: task readied -- returns to caller    129
-   rtems_message_queue_broadcast: no waiting tasks                      61   62
-   rtems_message_queue_broadcast: task readied -- preempts caller      155  154
+22 rtems_message_queue_broadcast: task readied -- returns to caller    129  122
+   rtems_message_queue_broadcast: no waiting tasks                      61   53
+   rtems_message_queue_broadcast: task readied -- preempts caller      155  146
 
-23 rtems_timer_create                                                   45
-   rtems_timer_fire_after: inactive                                     70
-   rtems_timer_fire_after: active                                       75
-   rtems_timer_cancel: active                                           45
-   rtems_timer_cancel: inactive                                         41
-   rtems_timer_reset: inactive                                          65
-   rtems_timer_reset: active                                            69
-   rtems_timer_fire_when: inactive                                     100
-   rtems_timer_fire_when: active                                       100
-   rtems_timer_delete: active                                           60
-   rtems_timer_delete: inactive                                         56
-   rtems_task_wake_when                                                132
+23 rtems_timer_create                                                   45   34
+   rtems_timer_fire_after: inactive                                     70   65
+   rtems_timer_fire_after: active                                       75   69
+   rtems_timer_cancel: active                                           45   37
+   rtems_timer_cancel: inactive                                         41   32
+   rtems_timer_reset: inactive                                          65   58
+   rtems_timer_reset: active                                            69   63
+   rtems_timer_fire_when: inactive                                     100   92
+   rtems_timer_fire_when: active                                       100   92
+   rtems_timer_delete: active                                           60   52
+   rtems_timer_delete: inactive                                         56   48
+   rtems_task_wake_when                                                132  128
 
-24 rtems_task_wake_after: yield -- returns to caller                    29
-   rtems_task_wake_after: yields -- preempts caller                     71
+24 rtems_task_wake_after: yield -- returns to caller                    29   18
+   rtems_task_wake_after: yields -- preempts caller                     71   63
 
-25 rtems_clock_tick                                                     14
+25 rtems_clock_tick                                                     14   16
 
-26 _ISR_Disable                                                          2
-   _ISR_Flash                                                            2
-   _ISR_Enable                                                           1
-   _Thread_Disable_dispatch                                              1
-   _Thread_Enable_dispatch                                              22
-   _Thread_Set_state                                                    25
-   _Thread_Disptach (NO FP)                                             55
-   context switch: no floating point contexts                           42
-   context switch: self                                                  8
-   context switch: to another task                                      10
-   context switch: restore 1st FP task                                  65
-   fp context switch: save idle, restore idle                           93
-   fp context switch: save idle, restore initialized                    60
-   fp context switch: save initialized, restore initialized             60
-   _Thread_Resume                                                       19
-   _Thread_Unblock                                                      19
-   _Thread_Ready                                                        22
-   _Thread_Get                                                          14
-   _Semaphore_Get                                                       11
-   _Thread_Get: invalid id                                               3
+26 _ISR_Disable                                                          2    1
+   _ISR_Flash                                                            2    1
+   _ISR_Enable                                                           1    1
+   _Thread_Disable_dispatch                                              1    1
+   _Thread_Enable_dispatch                                              22   10
+   _Thread_Set_state                                                    25   26
+   _Thread_Disptach (NO FP)                                             55   48
+   context switch: no floating point contexts                           42   34
+   context switch: self                                                  8    9
+   context switch: to another task                                      10   10
+   context switch: restore 1st FP task                                  65   57
+   fp context switch: save idle, restore idle                           93   83
+   fp context switch: save idle, restore initialized                    60   59
+   fp context switch: save initialized, restore initialized             60   59
+   _Thread_Resume                                                       19   19
+   _Thread_Unblock                                                      19   19
+   _Thread_Ready                                                        22   22
+   _Thread_Get                                                          14   15
+   _Semaphore_Get                                                       11   13
+   _Thread_Get: invalid id                                               3    3
 
-27 interrupt entry overhead: returns to interrupted task                13   12
-   interrupt exit overhead: returns to interrupted task                 11
-   interrupt entry overhead: returns to nested interrupt                12
-   interrupt exit overhead: returns to nested interrupt                 10
-   interrupt entry overhead: returns to preempting task                 12
-   interrupt exit overhead: returns to preempting task                  65
+27 interrupt entry overhead: returns to interrupted task                13   13
+   interrupt exit overhead: returns to interrupted task                 11   11
+   interrupt entry overhead: returns to nested interrupt                12   12
+   interrupt exit overhead: returns to nested interrupt                 10   10
+   interrupt entry overhead: returns to preempting task                 12   12
+   interrupt exit overhead: returns to preempting task                  65   58
 
-28 rtems_port_create                                                    48
-   rtems_port_external_to_internal                                      36
-   rtems_port_internal_to_external                                      36
-   rtems_port_delete                                                    48
+28 rtems_port_create                                                    48   39
+   rtems_port_external_to_internal                                      36   26
+   rtems_port_internal_to_external                                      36   26
+   rtems_port_delete                                                    48   39
 
-29 rtems_rate_monotonic_create                                          47
-   rtems_rate_monotonic_period: initiate period -- returns to caller    60
-   rtems_rate_monotonic_period: obtain status                           38
-   rtems_rate_monotonic_cancel                                          48
-   rtems_rate_monotonic_delete: inactive                                57
-   rtems_rate_monotonic_delete: active                                  61
-   rtems_rate_monotonic_period: conclude periods -- caller blocks       88
+29 rtems_rate_monotonic_create                                          47   36
+   rtems_rate_monotonic_period: initiate period -- returns to caller    60   53
+   rtems_rate_monotonic_period: obtain status                           38   30
+   rtems_rate_monotonic_cancel                                          48   39
+   rtems_rate_monotonic_delete: inactive                                57   49
+   rtems_rate_monotonic_delete: active                                  61   53
+   rtems_rate_monotonic_period: conclude periods -- caller blocks       88   82
Index: c/src/lib/libbsp/i386/go32/times_i486dx
===================================================================
--- c/src/lib/libbsp/i386/go32/times_i486dx	(revision df8d1440d10dfa8b4a239afb1562c43dde588e98)
+++ c/src/lib/libbsp/i386/go32/times_i486dx	(revision 729c8f2e9d3097d5192f0a2d05ba2cccfdcbaac8)
@@ -15,177 +15,177 @@
 
 Column A:             3.5.1 pre-release
-Column B:             unused
+Column B:             3.5.17 pre-release
 
 #                          DESCRIPTION                                 A    B
 == =================================================================  ==== ====
- 1 rtems_semaphore_create                                               57
-   rtems_semaphore_delete                                               59
-   rtems_semaphore_obtain: available                                     9
-   rtems_semaphore_obtain: not available -- NO_WAIT                      8
-   rtems_semaphore_release: no waiting tasks                             9
+ 1 rtems_semaphore_create                                               57   66
+   rtems_semaphore_delete                                               59   61
+   rtems_semaphore_obtain: available                                     9    7
+   rtems_semaphore_obtain: not available -- NO_WAIT                      8    7
+   rtems_semaphore_release: no waiting tasks                             9    8
 
- 2 rtems_semaphore_obtain: not available -- caller blocks               39
+ 2 rtems_semaphore_obtain: not available -- caller blocks               39   37
 
- 3 rtems_semaphore_release: task readied -- preempts caller             25
+ 3 rtems_semaphore_release: task readied -- preempts caller             25   24
 
- 4 rtems_task_restart: blocked task -- preempts caller                 124
-   rtems_task_restart: ready task -- preempts caller                    55
-   rtems_semaphore_release: task readied -- returns to caller           16
-   rtems_task_create                                                    31
-   rtems_task_start                                                     19
-   rtems_task_restart: suspended task -- returns to caller              20
-   rtems_task_delete: suspended task                                    28
-   rtems_task_restart: ready task -- returns to caller                  20
-   rtems_task_restart: blocked task -- returns to caller                28
-   rtems_task_delete: blocked task                                      34
+ 4 rtems_task_restart: blocked task -- preempts caller                 124  102
+   rtems_task_restart: ready task -- preempts caller                    55  111
+   rtems_semaphore_release: task readied -- returns to caller           16   15
+   rtems_task_create                                                    31   30
+   rtems_task_start                                                     19   18
+   rtems_task_restart: suspended task -- returns to caller              20   19
+   rtems_task_delete: suspended task                                    28   26
+   rtems_task_restart: ready task -- returns to caller                  20   19
+   rtems_task_restart: blocked task -- returns to caller                28   26
+   rtems_task_delete: blocked task                                      34   28
 
- 5 rtems_task_suspend: calling task                                     26
-   rtems_task_resume: task readied -- preempts caller                   17
+ 5 rtems_task_suspend: calling task                                     26   23
+   rtems_task_resume: task readied -- preempts caller                   17   15
 
- 6 rtems_task_restart: calling task                                     22
-   rtems_task_suspend: returns to caller                                10
-   rtems_task_resume: task readied -- returns to caller                 10
-   rtems_task_delete: ready task                                        34
+ 6 rtems_task_restart: calling task                                     22   19
+   rtems_task_suspend: returns to caller                                10    8
+   rtems_task_resume: task readied -- returns to caller                 10    8
+   rtems_task_delete: ready task                                        34   33
 
- 7 rtems_task_restart: suspended task -- preempts caller                37
+ 7 rtems_task_restart: suspended task -- preempts caller                37   34
 
- 8 rtems_task_set_priority: obtain current priority                      7
-   rtems_task_set_priority: returns to caller                           13
-   rtems_task_mode: obtain current mode                                  3
-   rtems_task_mode: no reschedule                                        4
-   rtems_task_mode: reschedule -- returns to caller                     20
-   rtems_task_mode: reschedule -- preempts caller                       39
-   rtems_task_set_note                                                   7
-   rtems_task_get_note                                                   7
-   rtems_clock_set                                                      17
-   rtems_clock_get                                                       2
+ 8 rtems_task_set_priority: obtain current priority                      7    5
+   rtems_task_set_priority: returns to caller                           13   12
+   rtems_task_mode: obtain current mode                                  3    3
+   rtems_task_mode: no reschedule                                        4    4
+   rtems_task_mode: reschedule -- returns to caller                     20   17
+   rtems_task_mode: reschedule -- preempts caller                       39   37
+   rtems_task_set_note                                                   7    5
+   rtems_task_get_note                                                   7    5
+   rtems_clock_set                                                      17   16
+   rtems_clock_get                                                       2    1
 
- 9 rtems_message_queue_create                                          117
-   rtems_message_queue_send: no waiting tasks                           22
-   rtems_message_queue_urgent: no waiting tasks                         22
-   rtems_message_queue_receive: available                               18
-   rtems_message_queue_flush: no messages flushed                       15
-   rtems_message_queue_flush: messages flushed                          17
-   rtems_message_queue_delete                                           63
+ 9 rtems_message_queue_create                                          117  113
+   rtems_message_queue_send: no waiting tasks                           22   19
+   rtems_message_queue_urgent: no waiting tasks                         22   19
+   rtems_message_queue_receive: available                               18   16
+   rtems_message_queue_flush: no messages flushed                       15   14
+   rtems_message_queue_flush: messages flushed                          17   17
+   rtems_message_queue_delete                                           63   63
 
-10 rtems_message_queue_receive: not available -- NO_WAIT                10
-   rtems_message_queue_receive: not available -- caller blocks          42
+10 rtems_message_queue_receive: not available -- NO_WAIT                10    8
+   rtems_message_queue_receive: not available -- caller blocks          42   40
 
-11 rtems_message_queue_send: task readied -- preempts caller            38
+11 rtems_message_queue_send: task readied -- preempts caller            38   37
 
-12 rtems_message_queue_send: task readied -- returns to caller          27
+12 rtems_message_queue_send: task readied -- returns to caller          27   24
 
-13 rtems_message_queue_urgent: task readied -- preempts caller          38
+13 rtems_message_queue_urgent: task readied -- preempts caller          38   36
 
-14 rtems_message_queue_urgent: task readied -- returns to caller        26
+14 rtems_message_queue_urgent: task readied -- returns to caller        26   24
 
-15 rtems_event_receive: obtain current events                            0
-   rtems_event_receive: not available -- NO_WAIT                         6
-   rtems_event_receive: not available -- caller blocks                  34
-   rtems_event_send: no task readied                                     6
-   rtems_event_receive: available                                       21
-   rtems_event_send: task readied -- returns to caller                  19
+15 rtems_event_receive: obtain current events                            0    0
+   rtems_event_receive: not available -- NO_WAIT                         6    5
+   rtems_event_receive: not available -- caller blocks                  34   33
+   rtems_event_send: no task readied                                     6    5
+   rtems_event_receive: available                                       21   19
+   rtems_event_send: task readied -- returns to caller                  19   15
 
-16 rtems_event_send: task readied -- preempts caller                    26
+16 rtems_event_send: task readied -- preempts caller                    26   24
 
-17 rtems_task_set_priority: preempts caller                             36
+17 rtems_task_set_priority: preempts caller                             36   33
 
-18 rtems_task_delete: calling task                                      51
+18 rtems_task_delete: calling task                                      51   52
 
-19 rtems_signal_catch                                                   17
-   rtems_signal_send: returns to caller                                 38
-   rtems_signal_send: signal to self                                    46
-   exit ASR overhead: returns to calling task                           20
-   exit ASR overhead: returns to preempting task                        29
+19 rtems_signal_catch                                                   17   18
+   rtems_signal_send: returns to caller                                 38   39
+   rtems_signal_send: signal to self                                    46   62
+   exit ASR overhead: returns to calling task                           20   25
+   exit ASR overhead: returns to preempting task                        29   29
 
-20 rtems_partition_create                                               65
-   rtems_region_create                                                  59
-   rtems_partition_get_buffer: available                                39
-   rtems_partition_get_buffer: not available                            18
-   rtems_partition_return_buffer                                        36
-   rtems_partition_delete                                               32
-   rtems_region_get_segment: available                                  22
-   rtems_region_get_segment: not available -- NO_WAIT                   29
-   rtems_region_return_segment: no waiting tasks                        24
-   rtems_region_get_segment: not available -- caller blocks             83
-   rtems_region_return_segment: task readied -- preempts caller         85
-   rtems_region_return_segment: task readied -- returns to caller       39
-   rtems_region_delete                                                  30
-   rtems_io_initialize                                                   1
-   rtems_io_open                                                         0
-   rtems_io_close                                                        0
-   rtems_io_read                                                         0
-   rtems_io_write                                                        0
-   rtems_io_control                                                      0
+20 rtems_partition_create                                               65   67
+   rtems_region_create                                                  59   54
+   rtems_partition_get_buffer: available                                39   35
+   rtems_partition_get_buffer: not available                            18   16
+   rtems_partition_return_buffer                                        36   30
+   rtems_partition_delete                                               32   30
+   rtems_region_get_segment: available                                  22   21
+   rtems_region_get_segment: not available -- NO_WAIT                   29   25
+   rtems_region_return_segment: no waiting tasks                        24   22
+   rtems_region_get_segment: not available -- caller blocks             83   81
+   rtems_region_return_segment: task readied -- preempts caller         85   84
+   rtems_region_return_segment: task readied -- returns to caller       39   41
+   rtems_region_delete                                                  30   30
+   rtems_io_initialize                                                   1    1
+   rtems_io_open                                                         0    0
+   rtems_io_close                                                        0    0
+   rtems_io_read                                                         0    0
+   rtems_io_write                                                        0    0
+   rtems_io_control                                                      0    1
 
-21 rtems_task_ident                                                    116
-   rtems_message_queue_ident                                           113
-   rtems_semaphore_ident                                               122
-   rtems_partition_ident                                               113
-   rtems_region_ident                                                  115
-   rtems_port_ident                                                    113
-   rtems_timer_ident                                                   113
-   rtems_rate_monotonic_ident                                          113
+21 rtems_task_ident                                                    116  114
+   rtems_message_queue_ident                                           113  111
+   rtems_semaphore_ident                                               122  120
+   rtems_partition_ident                                               113  110
+   rtems_region_ident                                                  115  111
+   rtems_port_ident                                                    113  109
+   rtems_timer_ident                                                   113  109
+   rtems_rate_monotonic_ident                                          113  111
 
-22 rtems_message_queue_broadcast: task readied -- returns to caller     82
-   rtems_message_queue_broadcast: no waiting tasks                      11
-   rtems_message_queue_broadcast: task readied -- preempts caller       51
+22 rtems_message_queue_broadcast: task readied -- returns to caller     82   85
+   rtems_message_queue_broadcast: no waiting tasks                      11    9
+   rtems_message_queue_broadcast: task readied -- preempts caller       51   56
 
-23 rtems_timer_create                                                    8
-   rtems_timer_fire_after: inactive                                     14
-   rtems_timer_fire_after: active                                       13
-   rtems_timer_cancel: active                                            8
-   rtems_timer_cancel: inactive                                          7
-   rtems_timer_reset: inactive                                          11
-   rtems_timer_reset: active                                            11
-   rtems_timer_fire_when: inactive                                      17
-   rtems_timer_fire_when: active                                        17
-   rtems_timer_delete: active                                           10
-   rtems_timer_delete: inactive                                          9
-   rtems_task_wake_when                                                 36
+23 rtems_timer_create                                                    8    7
+   rtems_timer_fire_after: inactive                                     14   12
+   rtems_timer_fire_after: active                                       13   12
+   rtems_timer_cancel: active                                            8    7
+   rtems_timer_cancel: inactive                                          7    6
+   rtems_timer_reset: inactive                                          11   10
+   rtems_timer_reset: active                                            11   11
+   rtems_timer_fire_when: inactive                                      17   16
+   rtems_timer_fire_when: active                                        17   17
+   rtems_timer_delete: active                                           10    9
+   rtems_timer_delete: inactive                                          9    8
+   rtems_task_wake_when                                                 36   34
 
-24 rtems_task_wake_after: yield -- returns to caller                     5
-   rtems_task_wake_after: yields -- preempts caller                     22
+24 rtems_task_wake_after: yield -- returns to caller                     5    3
+   rtems_task_wake_after: yields -- preempts caller                     22   19
 
-25 rtems_clock_tick                                                     31
+25 rtems_clock_tick                                                     31   31
 
-26 _ISR_Disable                                                         11
-   _ISR_Flash                                                            9
-   _ISR_Enable                                                          31
-   _Thread_Disable_dispatch                                             11
-   _Thread_Enable_dispatch                                              18
-   _Thread_Set_state                                                    20
-   _Thread_Disptach (NO FP)                                             37
-   context switch: no floating point contexts                           29
-   context switch: self                                                 14
-   context switch: to another task                                      12
-   context switch: restore 1st FP task                                  54
-   fp context switch: save idle, restore idle                           47
-   fp context switch: save idle, restore initialized                    25
-   fp context switch: save initialized, restore initialized             24
-   _Thread_Resume                                                       23
-   _Thread_Unblock                                                      14
-   _Thread_Ready                                                        16
-   _Thread_Get                                                           2
-   _Semaphore_Get                                                        1
-   _Thread_Get: invalid id                                               0
+26 _ISR_Disable                                                         11   12
+   _ISR_Flash                                                            9    9
+   _ISR_Enable                                                          31   67
+   _Thread_Disable_dispatch                                             11   10
+   _Thread_Enable_dispatch                                              18   18
+   _Thread_Set_state                                                    20   22
+   _Thread_Disptach (NO FP)                                             37   41
+   context switch: no floating point contexts                           29   26
+   context switch: self                                                 14   10
+   context switch: to another task                                      12   12
+   context switch: restore 1st FP task                                  54   54
+   fp context switch: save idle, restore idle                           47   46
+   fp context switch: save idle, restore initialized                    25   25
+   fp context switch: save initialized, restore initialized             24   25
+   _Thread_Resume                                                       23   24
+   _Thread_Unblock                                                      14   14
+   _Thread_Ready                                                        16   24
+   _Thread_Get                                                           2    2
+   _Semaphore_Get                                                        1    1
+   _Thread_Get: invalid id                                               0    0
 
-27 interrupt entry overhead: returns to interrupted task                25
-   interrupt exit overhead: returns to interrupted task                 14
-   interrupt entry overhead: returns to nested interrupt                12
-   interrupt exit overhead: returns to nested interrupt                 14
-   interrupt entry overhead: returns to preempting task                 14
-   interrupt exit overhead: returns to preempting task                  42
+27 interrupt entry overhead: returns to interrupted task                25   23
+   interrupt exit overhead: returns to interrupted task                 14   15
+   interrupt entry overhead: returns to nested interrupt                12   12
+   interrupt exit overhead: returns to nested interrupt                 14   14
+   interrupt entry overhead: returns to preempting task                 14   16
+   interrupt exit overhead: returns to preempting task                  42   38
 
-28 rtems_port_create                                                    43
-   rtems_port_external_to_internal                                       6
-   rtems_port_internal_to_external                                       6
-   rtems_port_delete                                                    39
+28 rtems_port_create                                                    43   42
+   rtems_port_external_to_internal                                       6    4
+   rtems_port_internal_to_external                                       6    4
+   rtems_port_delete                                                    39   33
 
-29 rtems_rate_monotonic_create                                          48
-   rtems_rate_monotonic_period: initiate period -- returns to caller    61
-   rtems_rate_monotonic_period: obtain status                           23
-   rtems_rate_monotonic_cancel                                          38
-   rtems_rate_monotonic_delete: inactive                                32
-   rtems_rate_monotonic_delete: active                                  22
-   rtems_rate_monotonic_period: conclude periods -- caller blocks       24
+29 rtems_rate_monotonic_create                                          48   42
+   rtems_rate_monotonic_period: initiate period -- returns to caller    61   65
+   rtems_rate_monotonic_period: obtain status                           23   21
+   rtems_rate_monotonic_cancel                                          38   35
+   rtems_rate_monotonic_delete: inactive                                32   32
+   rtems_rate_monotonic_delete: active                                  22   22
+   rtems_rate_monotonic_period: conclude periods -- caller blocks       24   19
Index: c/src/lib/libbsp/m68k/mvme136/times
===================================================================
--- c/src/lib/libbsp/m68k/mvme136/times	(revision df8d1440d10dfa8b4a239afb1562c43dde588e98)
+++ c/src/lib/libbsp/m68k/mvme136/times	(revision 729c8f2e9d3097d5192f0a2d05ba2cccfdcbaac8)
@@ -15,177 +15,177 @@
 
 Column A:             3.5.1 pre-release
-Column B:             unused
+Column B:             3.5.17 pre-release
 
 #                          DESCRIPTION                                 A    B
 == =================================================================  ==== ====
- 1 rtems_semaphore_create                                               67   
-   rtems_semaphore_delete                                               64
-   rtems_semaphore_obtain: available                                    46
-   rtems_semaphore_obtain: not available -- NO_WAIT                     45
-   rtems_semaphore_release: no waiting tasks                            51
+ 1 rtems_semaphore_create                                               67   60
+   rtems_semaphore_delete                                               64   58
+   rtems_semaphore_obtain: available                                    46   38
+   rtems_semaphore_obtain: not available -- NO_WAIT                     45   38
+   rtems_semaphore_release: no waiting tasks                            51   44
 
- 2 rtems_semaphore_obtain: not available -- caller blocks              113  115
+ 2 rtems_semaphore_obtain: not available -- caller blocks              113  109
 
- 3 rtems_semaphore_release: task readied -- preempts caller             94
+ 3 rtems_semaphore_release: task readied -- preempts caller             94   87
 
- 4 rtems_task_restart: blocked task -- preempts caller                 152
-   rtems_task_restart: ready task -- preempts caller                   145
-   rtems_semaphore_release: task readied -- returns to caller           71
-   rtems_task_create                                                   154
-   rtems_task_start                                                     82
-   rtems_task_restart: suspended task -- returns to caller              94   97
-   rtems_task_delete: suspended task                                   145
-   rtems_task_restart: ready task -- returns to caller                  97   99
-   rtems_task_restart: blocked task -- returns to caller               128  130
-   rtems_task_delete: blocked task                                     149  151
+ 4 rtems_task_restart: blocked task -- preempts caller                 152  149
+   rtems_task_restart: ready task -- preempts caller                   145  142
+   rtems_semaphore_release: task readied -- returns to caller           71   66
+   rtems_task_create                                                   154  148
+   rtems_task_start                                                     82   76
+   rtems_task_restart: suspended task -- returns to caller              94   89
+   rtems_task_delete: suspended task                                   145  138
+   rtems_task_restart: ready task -- returns to caller                  97   92
+   rtems_task_restart: blocked task -- returns to caller               128  124
+   rtems_task_delete: blocked task                                     149  143
 
- 5 rtems_task_suspend: calling task                                     77
-   rtems_task_resume: task readied -- preempts caller                   74
+ 5 rtems_task_suspend: calling task                                     77   71
+   rtems_task_resume: task readied -- preempts caller                   74   67
 
- 6 rtems_task_restart: calling task                                    101
-   rtems_task_suspend: returns to caller                                50
-   rtems_task_resume: task readied -- returns to caller                 50
-   rtems_task_delete: ready task                                       151
+ 6 rtems_task_restart: calling task                                    101   95
+   rtems_task_suspend: returns to caller                                50   43
+   rtems_task_resume: task readied -- returns to caller                 50   45
+   rtems_task_delete: ready task                                       151  144
 
- 7 rtems_task_restart: suspended task -- preempts caller               130  129
+ 7 rtems_task_restart: suspended task -- preempts caller               130  125
 
- 8 rtems_task_set_priority: obtain current priority                     38
-   rtems_task_set_priority: returns to caller                           71
-   rtems_task_mode: obtain current mode                                 16
-   rtems_task_mode: no reschedule                                       18
-   rtems_task_mode: reschedule -- returns to caller                     24
-   rtems_task_mode: reschedule -- preempts caller                       68   67
-   rtems_task_set_note                                                  39   41
-   rtems_task_get_note                                                  40   41
-   rtems_clock_set                                                      93   91
-   rtems_clock_get                                                       1
+ 8 rtems_task_set_priority: obtain current priority                     38   31
+   rtems_task_set_priority: returns to caller                           71   64
+   rtems_task_mode: obtain current mode                                 16   14
+   rtems_task_mode: no reschedule                                       18   16
+   rtems_task_mode: reschedule -- returns to caller                     24   23
+   rtems_task_mode: reschedule -- preempts caller                       68   60
+   rtems_task_set_note                                                  39   33
+   rtems_task_get_note                                                  40   33
+   rtems_clock_set                                                      93   86
+   rtems_clock_get                                                       1    1
 
- 9 rtems_message_queue_create                                          207
-   rtems_message_queue_send: no waiting tasks                          103
-   rtems_message_queue_urgent: no waiting tasks                        103
-   rtems_message_queue_receive: available                               87
-   rtems_message_queue_flush: no messages flushed                       36
-   rtems_message_queue_flush: messages flushed                          46
-   rtems_message_queue_delete                                           85
+ 9 rtems_message_queue_create                                          207  200
+   rtems_message_queue_send: no waiting tasks                          103   97
+   rtems_message_queue_urgent: no waiting tasks                        103   96
+   rtems_message_queue_receive: available                               87   79
+   rtems_message_queue_flush: no messages flushed                       36   29
+   rtems_message_queue_flush: messages flushed                          46   39
+   rtems_message_queue_delete                                           85   80
 
-10 rtems_message_queue_receive: not available -- NO_WAIT                51   51
-   rtems_message_queue_receive: not available -- caller blocks         115  119
+10 rtems_message_queue_receive: not available -- NO_WAIT                51   43
+   rtems_message_queue_receive: not available -- caller blocks         115  114
 
-11 rtems_message_queue_send: task readied -- preempts caller           129
+11 rtems_message_queue_send: task readied -- preempts caller           129  123
 
-12 rtems_message_queue_send: task readied -- returns to caller         107
+12 rtems_message_queue_send: task readied -- returns to caller         107  101
 
-13 rtems_message_queue_urgent: task readied -- preempts caller         130
+13 rtems_message_queue_urgent: task readied -- preempts caller         130  123
 
-14 rtems_message_queue_urgent: task readied -- returns to caller       107
+14 rtems_message_queue_urgent: task readied -- returns to caller       107  101
 
-15 rtems_event_receive: obtain current events                            0
-   rtems_event_receive: not available -- NO_WAIT                        33
-   rtems_event_receive: not available -- caller blocks                  92
-   rtems_event_send: no task readied                                    34
-   rtems_event_receive: available                                       36
-   rtems_event_send: task readied -- returns to caller                  67
+15 rtems_event_receive: obtain current events                            0    1
+   rtems_event_receive: not available -- NO_WAIT                        33   23
+   rtems_event_receive: not available -- caller blocks                  92   84
+   rtems_event_send: no task readied                                    34   24
+   rtems_event_receive: available                                       36   28
+   rtems_event_send: task readied -- returns to caller                  67   60
 
-16 rtems_event_send: task readied -- preempts caller                    90
+16 rtems_event_send: task readied -- preempts caller                    90   84
 
-17 rtems_task_set_priority: preempts caller                            110
+17 rtems_task_set_priority: preempts caller                            110  106
 
-18 rtems_task_delete: calling task                                     175
+18 rtems_task_delete: calling task                                     175  170
 
-19 rtems_signal_catch                                                   23
-   rtems_signal_send: returns to caller                                 43  42
-   rtems_signal_send: signal to self                                    52  51
-   exit ASR overhead: returns to calling task                           37
-   exit ASR overhead: returns to preempting task                        65
+19 rtems_signal_catch                                                   23   15
+   rtems_signal_send: returns to caller                                 43   37
+   rtems_signal_send: signal to self                                    52   55
+   exit ASR overhead: returns to calling task                           37   37
+   exit ASR overhead: returns to preempting task                        65   54
 
-20 rtems_partition_create                                               77
-   rtems_region_create                                                  70
-   rtems_partition_get_buffer: available                                42
-   rtems_partition_get_buffer: not available                            40
-   rtems_partition_return_buffer                                        50
-   rtems_partition_delete                                               47
-   rtems_region_get_segment: available                                  58
-   rtems_region_get_segment: not available -- NO_WAIT                   55
-   rtems_region_return_segment: no waiting tasks                        60
-   rtems_region_get_segment: not available -- caller blocks            126
-   rtems_region_return_segment: task readied -- preempts caller        143
-   rtems_region_return_segment: task readied -- returns to caller      120
-   rtems_region_delete                                                  45
-   rtems_io_initialize                                                   6
-   rtems_io_open                                                         2
-   rtems_io_close                                                        1
-   rtems_io_read                                                         1
-   rtems_io_write                                                        1
-   rtems_io_control                                                      2
+20 rtems_partition_create                                               77   70
+   rtems_region_create                                                  70   63
+   rtems_partition_get_buffer: available                                42   35
+   rtems_partition_get_buffer: not available                            40   33
+   rtems_partition_return_buffer                                        50   43
+   rtems_partition_delete                                               47   42
+   rtems_region_get_segment: available                                  58   52
+   rtems_region_get_segment: not available -- NO_WAIT                   55   49
+   rtems_region_return_segment: no waiting tasks                        60   54
+   rtems_region_get_segment: not available -- caller blocks            126  123
+   rtems_region_return_segment: task readied -- preempts caller        143  136
+   rtems_region_return_segment: task readied -- returns to caller      120  114
+   rtems_region_delete                                                  45   39
+   rtems_io_initialize                                                   6    4
+   rtems_io_open                                                         2    2
+   rtems_io_close                                                        1    1
+   rtems_io_read                                                         1    2
+   rtems_io_write                                                        1    3
+   rtems_io_control                                                      2    2
 
-21 rtems_task_ident                                                    353
-   rtems_message_queue_ident                                           344
-   rtems_semaphore_ident                                               369
-   rtems_partition_ident                                               344
-   rtems_region_ident                                                  350
-   rtems_port_ident                                                    343
-   rtems_timer_ident                                                   345
-   rtems_rate_monotonic_ident                                          344
+21 rtems_task_ident                                                    353  350
+   rtems_message_queue_ident                                           344  341
+   rtems_semaphore_ident                                               369  367
+   rtems_partition_ident                                               344  341
+   rtems_region_ident                                                  350  348
+   rtems_port_ident                                                    343  340
+   rtems_timer_ident                                                   345  343
+   rtems_rate_monotonic_ident                                          344  341
 
-22 rtems_message_queue_broadcast: task readied -- returns to caller    115
-   rtems_message_queue_broadcast: no waiting tasks                      60
-   rtems_message_queue_broadcast: task readied -- preempts caller      138
+22 rtems_message_queue_broadcast: task readied -- returns to caller    115  111
+   rtems_message_queue_broadcast: no waiting tasks                      60   53
+   rtems_message_queue_broadcast: task readied -- preempts caller      138  133
 
-23 rtems_timer_create                                                   37
-   rtems_timer_fire_after: inactive                                     66
-   rtems_timer_fire_after: active                                       70   69
-   rtems_timer_cancel: active                                           42
-   rtems_timer_cancel: inactive                                         39
-   rtems_timer_reset: inactive                                          60
-   rtems_timer_reset: active                                            65   64
-   rtems_timer_fire_when: inactive                                      96
-   rtems_timer_fire_when: active                                        96
-   rtems_timer_delete: active                                           55
-   rtems_timer_delete: inactive                                         51   50
-   rtems_task_wake_when                                                125
+23 rtems_timer_create                                                   37   28
+   rtems_timer_fire_after: inactive                                     66   58
+   rtems_timer_fire_after: active                                       70   61
+   rtems_timer_cancel: active                                           42   34
+   rtems_timer_cancel: inactive                                         39   31
+   rtems_timer_reset: inactive                                          60   54
+   rtems_timer_reset: active                                            65   58
+   rtems_timer_fire_when: inactive                                      96   88
+   rtems_timer_fire_when: active                                        96   88
+   rtems_timer_delete: active                                           55   47
+   rtems_timer_delete: inactive                                         51   47
+   rtems_task_wake_when                                                125  117
 
-24 rtems_task_wake_after: yield -- returns to caller                    26
-   rtems_task_wake_after: yields -- preempts caller                     65   63
+24 rtems_task_wake_after: yield -- returns to caller                    26   16
+   rtems_task_wake_after: yields -- preempts caller                     65   56
 
-25 rtems_clock_tick                                                     14
+25 rtems_clock_tick                                                     14   17
 
-26 _ISR_Disable                                                          0
-   _ISR_Flash                                                            0
-   _ISR_Enable                                                           0
-   _Thread_Disable_dispatch                                              0
-   _Thread_Enable_dispatch                                              19
-   _Thread_Set_state                                                    24
-   _Thread_Disptach (NO FP)                                             50
-   context switch: no floating point contexts                           41
-   context switch: self                                                  9
-   context switch: to another task                                       9
-   context switch: restore 1st FP task                                  46
-   fp context switch: save idle, restore idle                           75
-   fp context switch: save idle, restore initialized                    66
-   fp context switch: save initialized, restore initialized             65
-   _Thread_Resume                                                       18  17
-   _Thread_Unblock                                                      18  17
-   _Thread_Ready                                                        22  21
-   _Thread_Get                                                          12
-   _Semaphore_Get                                                       10
-   _Thread_Get: invalid id                                               2
+26 _ISR_Disable                                                          0    0
+   _ISR_Flash                                                            0    0
+   _ISR_Enable                                                           0    0
+   _Thread_Disable_dispatch                                              0    0
+   _Thread_Enable_dispatch                                              19   11
+   _Thread_Set_state                                                    24   24
+   _Thread_Disptach (NO FP)                                             50   43
+   context switch: no floating point contexts                           41   35
+   context switch: self                                                  9    9
+   context switch: to another task                                       9   10
+   context switch: restore 1st FP task                                  46   39
+   fp context switch: save idle, restore idle                           75   68
+   fp context switch: save idle, restore initialized                    66   66
+   fp context switch: save initialized, restore initialized             65   66
+   _Thread_Resume                                                       18   19
+   _Thread_Unblock                                                      18   19
+   _Thread_Ready                                                        22   21
+   _Thread_Get                                                          12   14
+   _Semaphore_Get                                                       10   10
+   _Thread_Get: invalid id                                               2    2
 
-27 interrupt entry overhead: returns to interrupted task                 9
-   interrupt exit overhead: returns to interrupted task                  8
-   interrupt entry overhead: returns to nested interrupt                14
-   interrupt exit overhead: returns to nested interrupt                  0
-   interrupt entry overhead: returns to preempting task                  8
-   interrupt exit overhead: returns to preempting task                  62
+27 interrupt entry overhead: returns to interrupted task                 9    9
+   interrupt exit overhead: returns to interrupted task                  8    8
+   interrupt entry overhead: returns to nested interrupt                14   12
+   interrupt exit overhead: returns to nested interrupt                  0    0
+   interrupt entry overhead: returns to preempting task                  8    9
+   interrupt exit overhead: returns to preempting task                  62   54
 
-28 rtems_port_create                                                    44
-   rtems_port_external_to_internal                                      35  34
-   rtems_port_internal_to_external                                      34
-   rtems_port_delete                                                    46  45
+28 rtems_port_create                                                    44   35
+   rtems_port_external_to_internal                                      35   27
+   rtems_port_internal_to_external                                      34   26
+   rtems_port_delete                                                    46   39
 
-29 rtems_rate_monotonic_create                                          40
-   rtems_rate_monotonic_period: initiate period -- returns to caller    60
-   rtems_rate_monotonic_period: obtain status                           38
-   rtems_rate_monotonic_cancel                                          46
-   rtems_rate_monotonic_delete: inactive                                54
-   rtems_rate_monotonic_delete: active                                  57
-   rtems_rate_monotonic_period: conclude periods -- caller blocks       83
+29 rtems_rate_monotonic_create                                          40   32
+   rtems_rate_monotonic_period: initiate period -- returns to caller    60   54
+   rtems_rate_monotonic_period: obtain status                           38   31
+   rtems_rate_monotonic_cancel                                          46   39
+   rtems_rate_monotonic_delete: inactive                                54   48
+   rtems_rate_monotonic_delete: active                                  57   51
+   rtems_rate_monotonic_period: conclude periods -- caller blocks       83   74
